Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456599 - rubygem-rails 2.1.0 is available, please update
Summary: rubygem-rails 2.1.0 is available, please update
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-rails
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Stahnke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 20:46 UTC by Robert Scheck
Modified: 2008-09-11 17:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 17:08:03 UTC


Attachments (Terms of Use)

Description Robert Scheck 2008-07-24 20:46:03 UTC
Description of problem:
rubygem-rails 2.1.0 is available since a longer time now, please update on all 
active branches; especially the EPEL ones. And for me it seems to work everywhere.

Version-Release number of selected component (if applicable):
rubygem-rails-2.0.2-2

Expected results:
rubygem-rails-2.1.0-1 or newer on all active branches.

Comment 1 David Lutterkort 2008-07-25 16:42:46 UTC
I'll try and do that early next week (unless Michael wants to beat me to it)

What applications/plugins have you tested it with ?

Pushing it into F8/F9 has to be done very carefully; we really need to avoid
breaking people's apps. And with Rails, there's always a chance that that happens.


Comment 2 Robert Scheck 2008-07-25 19:08:53 UTC
Pushing to EPEL has do be done same carefully. The mysql and rmagick extensions 
are working for me, but the applications are company internal, so no OSS software 
or similar. I'm running the 2.1.0 generation with the other packages on Fedora 8 
and EPEL 4/5, no problems so far with it. Even a rebuild of the whole ruby/rails 
collection is working on SLES 9 for me :)

But feel free to do also several testings with your own applications etc., but I
unfortunately need some 2.1.0 features which made me privately upgrading and also
testing...

Comment 3 Michael Stahnke 2008-08-01 03:35:36 UTC
I have updated in devel.  We are still discussing whether or not EPEL will be
updated, as updating for no good reason is generally considered against practice. 

Comment 4 Fedora Update System 2008-08-03 23:44:14 UTC
rubygem-rails-2.1.0-1.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-08-03 23:44:54 UTC
rubygem-rails-2.1.0-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-08-07 23:54:01 UTC
rubygem-rails-2.1.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rails'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7065

Comment 7 Fedora Update System 2008-08-08 00:00:23 UTC
rubygem-rails-2.1.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-rails'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7131

Comment 8 Fedora Update System 2008-09-11 17:07:59 UTC
rubygem-rails-2.1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-09-11 17:12:16 UTC
rubygem-rails-2.1.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.